--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: AND
  value: "0x1"
- !ruby/object:RI::Constant 
  comment: 
  name: OR
  value: "0x2"
- !ruby/object:RI::Constant 
  comment: 
  name: NOT
  value: "0x4"
full_name: God::Conditions::Complex
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: and
- !ruby/object:RI::MethodSummary 
  name: and_not
- !ruby/object:RI::MethodSummary 
  name: new_oper
- !ruby/object:RI::MethodSummary 
  name: or
- !ruby/object:RI::MethodSummary 
  name: or_not
- !ruby/object:RI::MethodSummary 
  name: prepare
- !ruby/object:RI::MethodSummary 
  name: test
- !ruby/object:RI::MethodSummary 
  name: this
- !ruby/object:RI::MethodSummary 
  name: valid?
name: Complex
superclass: PollCondition
